GWTextInternal::Zone Struct Reference

Internal and low level: structure which stores a text zone header for GWText. More...

## Public Member Functions

| Zone ()
| constructor More...
bool | isMain () const
| returns true if this is the main zone More...
bool | ok () const
| check if the data read are or not ok More...
long | size () const
| returns the data size More...

## Public Attributes

int | m_type
| the main type: 1=auxi, 3=main More...
int | m_numFonts
| the number of fonts More...
int | m_numRulers
| the number of rulers More...
int | m_numLines
| the number of lines More...
int | m_numTokens
| the number of token More...
long | m_numChar
| the number of character More...
int | m_numCharPLC
| the number of char plc More...
int | m_numFrames
| the number of frames (ie. one by column and one by pages ) More...
std::vector< MWAWFont > | m_fontList
| the list of font More...
std::vector< MWAWParagraph > | m_rulerList
| the list of ruler More...
std::vector< Token > | m_tokenList
| the list of token More...
std::vector< Frame > | m_frameList
| the list of frame token More...
MWAWEntry | m_textEntry
| the text entry list More...
std::multimap< long, PLC > | m_posPLCMap
| a map text pos -> PLC More...
bool | m_parsed
| a bool to know if the data are send to the listener More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Zone const &fr)
| operator<< More...

## Detailed Description

Internal and low level: structure which stores a text zone header for GWText.

## Constructor & Destructor Documentation

GWTextInternal::Zone::Zone | ( |  | ) |

inline

constructor

## Member Function Documentation

bool GWTextInternal::Zone::isMain | ( |  | ) | const

inline

returns true if this is the main zone

Referenced by GWText::createZones(), GWText::numHFZones(), GWText::numPages(), GWText::sendHF(), GWText::sendMainText(), and GWText::sendZone().

bool GWTextInternal::Zone::ok | ( |  | ) | const

inline

check if the data read are or not ok

Referenced by GWText::readZone().

long GWTextInternal::Zone::size | ( |  | ) | const

inline

returns the data size

Referenced by GWText::readZone().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Zone const & | fr
| ) |  |

friend

operator<<

## Member Data Documentation

std::string GWTextInternal::Zone::m_extra

extra data

Referenced by GWText::readZone().

std::vector<MWAWFont> GWTextInternal::Zone::m_fontList

the list of font

Referenced by GWText::sendZone().

std::vector<Frame> GWTextInternal::Zone::m_frameList

the list of frame token

Referenced by GWText::numPages(), and GWText::readZonePositions().

long GWTextInternal::Zone::m_numChar

the number of character

Referenced by ok(), GWText::readZone(), and size().

int GWTextInternal::Zone::m_numCharPLC

the number of char plc

Referenced by ok(), GWText::readZone(), and size().

int GWTextInternal::Zone::m_numFonts

the number of fonts

Referenced by ok(), GWText::readZone(), and size().

int GWTextInternal::Zone::m_numFrames

the number of frames (ie. one by column and one by pages )

Referenced by ok(), GWText::readZone(), GWText::readZonePositions(), and size().

int GWTextInternal::Zone::m_numLines

the number of lines

Referenced by ok(), GWText::readZone(), GWText::readZonePositions(), and size().

int GWTextInternal::Zone::m_numRulers

the number of rulers

Referenced by ok(), GWText::readZone(), and size().

int GWTextInternal::Zone::m_numTokens

the number of token

Referenced by ok(), GWText::readZone(), and size().

bool GWTextInternal::Zone::m_parsed

mutable

a bool to know if the data are send to the listener

Referenced by GWText::flushExtra(), and GWText::sendZone().

std::multimap<long,PLC> GWTextInternal::Zone::m_posPLCMap

a map text pos -> PLC

Referenced by GWText::readZonePositions(), and GWText::sendZone().

std::vector<MWAWParagraph> GWTextInternal::Zone::m_rulerList

the list of ruler

Referenced by GWText::sendZone().

MWAWEntry GWTextInternal::Zone::m_textEntry

the text entry list

Referenced by GWText::sendZone().

std::vector<Token> GWTextInternal::Zone::m_tokenList

the list of token

Referenced by GWText::sendZone().

int GWTextInternal::Zone::m_type

the main type: 1=auxi, 3=main

Referenced by isMain(), and GWText::readZone().

The documentation for this struct was generated from the following file:

- GWText.cxx